//opmaManageIdKey 键为图层对应的信息 值为运管机构树对应的信息(值一般不用修改) opmaManagerCropIds为运管公司 opmaManagerIds运管单位
const GlobalConfig = {
  eventTopicsShow: true,
  perceptionEventShow: true,
  roadTestEquipmentShow: true,
  roadNetworkFacilitiesShow: true,
  mapTreeShow: true,
  toolbarShow: true,
  legendShow: true, //图例是否显示
  roadIDs: [],//'G002237' 道路id配置
  eventTopics: [
    { label: '服务区异常', layerName: 'serviceAreaExceptionLayer', serviceAreaExceptionLayer: true, id: '1' },
    { label: '施工建设', layerName: 'constructionLayer', constructionLayer: true, id: '1' },
    { label: '设备设施隐患', layerName: 'sbssyhLayer', sbssyhLayer: true, id: '1' },
    { label: '路障清除', layerName: 'roadblockRemovalLayer', roadblockRemovalLayer: true, id: '1' },
    { label: '非法上路', layerName: 'breakIntoShLayer', breakIntoShLayer: true, id: '16' },
    { label: '交通拥堵', layerName: 'trafficJamLayer', trafficJamLayer: true, id: '2' },
    { label: '交通管制', layerName: 'trafficControlLayer', trafficControlLayer: true, id: '2' },
    { label: '车辆故障', layerName: 'vehicleFaultLayer', vehicleFaultLayer: true, id: '2' },
    { label: '交通事故', layerName: 'trafficAccidentLayer', trafficAccidentLayer: true, id: '12' },
    { label: '异常天气', layerName: 'abnormalWeatherLayer', abnormalWeatherLayer: true, id: '12' },
    { label: '其他', layerName: 'otherLayer', otherLayer: true, id: '99' },
    // { label: '道路', layerName: 'roadLayer', roadLayer: true, id: '3' },
    // { label: '道路积水', layerName: 'roadPondingLayer', roadPondingLayer: true, id: '5' },
    // { label: '道路团雾', layerName: 'roadMassFogLayer', roadMassFogLayer: true, id: '6' },
    // { label: '大风', layerName: 'galeLayer', galeLayer: true, id: '7' },
    // { label: '大雾', layerName: 'denseFogLayer', denseFogLayer: true, id: '8' },
    // { label: '道路湿滑', layerName: 'roadWetSlipperyLayer', roadWetSlipperyLayer: true, id: '9' },
    // { label: '道路施工', layerName: 'roadConstructionLayer', roadConstructionLayer: true, id: '10' },
    // { label: '超速', layerName: 'speedingLayer', speedingLayer: true, id: '14' },
    // { label: '排队超限', layerName: 'queueOverrunLayer', queueOverrunLayer: true, id: '17' },
  ],
  perceptionEvent: [
    { label: '交通拥堵', layerName: 'trafficJamGzLayer', trafficJamGzLayer: true, id: '2' },
    { label: '行人横穿', layerName: 'pedestrianCrossingGzLayer', pedestrianCrossingGzLayer: true, id: '18' },
    { label: '非机动车', layerName: 'nonMotorVehicletGzLayer', nonMotorVehicletGzLayer: true, id: '19' },
    { label: '停车', layerName: 'parkingGzLayer', parkingGzLayer: true, id: '4' },
    { label: '倒车', layerName: 'trafficRetrogradeGzLayer', trafficRetrogradeGzLayer: true, id: '1' },
    { label: '烟火', layerName: 'fireworksGzLayer', fireworksGzLayer: true, id: '20' },
    { label: '抛撒物', layerName: 'throwGzLayer', throwGzLayer: true, id: '20' },
    { label: '车辆慢行', layerName: 'slowDownGzLayer', slowDownGzLayer: true, id: '11' },
    { label: '超速', layerName: 'speedingGzLayer', speedingGzLayer: true, id: '14' },
    { label: '占用应急车道', layerName: 'emergencyLanesOccupancyGzLayer', emergencyLanesOccupancyGzLayer: true, id: '15' },
    { label: '异常变道', layerName: 'abnormalLaneChangeGzLayer', abnormalLaneChangeGzLayer: true, id: '13' },
    { label: '其他', layerName: 'otherGzLayer', otherGzLayer: true, id: '99' }
  ],
  roadTestEquipment: [
    { label: '摄像机', layerName: 'videoLayer', videoLayer: true, id: '003', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'} },
    { label: '情报板', layerName: 'boardLayer', boardLayer: true, id: '005', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'} },
    { label: 'MEC', layerName: 'mecLayer', mecLayer: false, id: '004', },
    { label: '广播', layerName: 'radioLayer', radioLayer: false, id: '015' },
    { label: '交调', layerName: 'CMLayer', CMLayer: false, id: '009' },
    { label: '能见度', layerName: 'visibilityLayer', visibilityLayer: false, id: '007' },
    { label: '路面状态', layerName: 'roadstateLayer', roadstateLayer: false, id: '105' },
    { label: '气象', layerName: 'meteorologicalLayer', meteorologicalLayer: false, id: '006' },
    { label: '卡口', layerName: 'mountLayer', mountLayer: false, id: '109' },
    { label: '智慧补光', layerName: 'lightSignLayer', lightSignLayer: false, id: '014' },
    { label: '微波车检', layerName: 'rippleLayer', rippleLayer: false, id: '011' },
    { label: '雷达', layerName: 'hmbRadarLayer', hmbRadarLayer: false, id: '001' },
    { label: '诱导灯', layerName: 'fogGuideLayer', fogGuideLayer: false, id: '012' },
    { label: '动静结合', layerName: 'moveStaticLayer', moveStaticLayer: false, id: '007' },
    { label: '智慧锥桶', layerName: 'coneBarrelLayer', coneBarrelLayer: false, id: '043' },
    { label: '雷视一体', layerName: 'radarAndvideoLayer', radarAndvideoLayer: false, id: '001' },
    { label: '智能机箱', layerName: 'smartBoxLayer', smartBoxLayer: false, id: '001' },
    { label: '车位指示', layerName: 'parkingSignLayer', parkingSignLayer: false, id: '001' },
    { label: '基站', layerName: 'baseStationLayer', baseStationLayer: false, id: '001' },
    { label: 'RSU', layerName: 'rsuLayer', rsuLayer: false, id: '001' },
    { label: '护栏碰撞', layerName: 'barrierCollisionWarningLayer', barrierCollisionWarningLayer: false, id: '001' },
    { label: '桥梁健康', layerName: 'bridgeHealthLayer', bridgeHealthLayer: false, id: '001' },
    { label: '疲劳唤醒', layerName: 'awakenLayer', awakenLayer: false, id: '001' },
    { label: '合流预警', layerName: 'confluenceLayer', confluenceLayer: false, id: '001' },
    { label: '融冰除雪', layerName: 'removeSnowLayer', removeSnowLayer: false, id: '001' },
    { label: '智慧道钉', layerName: 'spikeLayer', spikeLayer: false, id: '001' },
    { label: '距离标志', layerName: 'distanceMarkerLayer', distanceMarkerLayer: false, id: '001' },
    { label: '路段广播', layerName: 'sectionRadioLayer', sectionRadioLayer: false, id: '001' },
    { label: '北斗高精度', layerName: 'beidouLayer', beidouLayer: false, id: '001' },
  ],
  roadNetworkFacilities: [
    { label: '服务区', layerName: 'serviceLayer', serviceLayer: true, id: '003', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'} },
    { label: '收费站', layerName: 'stationLayer', stationLayer: true, id: '004', roadIdKey: 'road_id', opmaManageIdKey: {'manager_id':'opmaManagerCropIds','center_id':'opmaManagerIds'} },
    { label: '枢纽立交', layerName: 'pivotLayer', pivotLayer: true, id: '005', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'} },
    { label: '互通立交', layerName: 'interchangeLayer', interchangeLayer: true, id: '011', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'}},
    { label: '路管机构', layerName: 'organizationLayer', organizationLayer: true, id: '109', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds'}},
    { label: '桥梁', layerName: 'bridgeLayer', bridgeLayer: true, id: '007', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'}},
    { label: '隧道', layerName: 'tunnelLayer', tunnelLayer: true, id: '105', roadIdKey: 'road_id', opmaManageIdKey: {'opma_manag':'opmaManagerCropIds','opma_man_2':'opmaManagerIds'}},
    { label: '道路线', layerName: 'roadlineLayer', roadlineLayer: true, id: '015', opmaManageIdKey: {'DEPTID':'opmaManagerCropIds','ROADID':'opmaManagerIds','CODE':'opmaManagerIds'}},
    { label: '行政区划', layerName: 'districtLayer', districtLayer: true, id: '100' },
    { label: '桩号', layerName: 'pileLayer', pileLayer: true, id: '006' },
    { label: '共享路段', layerName: 'shareRoadLayer', shareRoadLayer: true, id: '014' },
    { label: '建设工程', layerName: 'engineeringBuild', engineeringBuild: true, id: '016' },
  ],
  /*图层自选展示   true为展示  false为隐藏*/
  mecLayer: false, //mec图层
  radioLayer: false, //广播图层
  CMLayer: false, //交调图层
  visibilityLayer: false, //能见度图层
  roadstateLayer: false, //路面状态图层
  meteorologicalLayer: false, //气象图层
  mountLayer: false, //卡口相机图层
  lightSignLayer: false, // 主动发光标志图层
  rippleLayer: false, // 微波车检器图层
  hmbRadarLayer: false, // 雷达图层
  videoLayer: true, // 摄像机图层
  boardLayer: true, // 情报板图层
  fogGuideLayer: true,//雾区诱导图层
  boardAllLayer: true,
  moveStaticLayer: true,//动静结合一体机图层
  coneBarrelLayer: false,//智慧锥桶
  radarAndvideoLayer: true,//雷视一体机
  smartBoxLayer: true,//智能机箱
  parkingSignLayer: true,//车位指示屏
  baseStationLayer: true,//基站
  barrierCollisionWarningLayer: true, // 护栏碰撞预警
  bridgeHealthLayer: true, // 桥梁健康监测
  rsuLayer: true, // RSU
  awakenLayer: true,//唤醒疲劳
  confluenceLayer: true,//合流预警
  removeSnowLayer: true,//融冰除雪
  spikeLayer: true,//智慧道钉
  distanceMarkerLayer: true,//距离标志
  sectionRadioLayer: true,//路段广播
  beidouLayer: true,//北斗高精度
  // 路网设施
  serviceLayer: true, //服务区图层
  pivotLayer: true, //枢纽立交图层
  interchangeLayer: true,// 互通立交图层
  stationLayer: true,//收费站图层
  roadlineLayer: true,// 道路线图层
  bridgeLayer: true,//桥梁图层
  tunnelLayer: true,//隧道图层
  pileLayer: true,//桩号图层
  organizationLayer: true,//路管机构图层
  shareRoadLayer: true,//共享路段图层
  engineeringBuild: true,//建设工程图层
  districtLayer: true,// 行政区划
  jiqingHLLayer: false, // 济青全线高亮
  jiqingMidLayer: false, // 济青连接线高亮
  gaodeTrafficLayer: false, //高德路况图层
  testBaseLayer: false, // 网联测试基地道路线

    //交通事件
  serviceAreaExceptionLayer: true,//服务区异常
  constructionLayer: true,//施工建设
  sbssyhLayer: true,//设施设备隐患
  roadblockRemovalLayer: true,//路障清除
  breakIntoShLayer: true,//非法上路
  trafficJamLayer: true,//交通拥堵
  trafficControlLayer: true,//交通管制
  vehicleFaultLayer: true,//车辆故障
  trafficAccidentLayer: true,//交通事故
  abnormalWeatherLayer: true,//异常天气
  roadLayer: true,
  roadPondingLayer: true,
  roadMassFogLayer: true,
  galeLayer: true,
  denseFogLayer: true,
  roadWetSlipperyLayer: true,
  roadConstructionLayer: true,
  speedingLayer: true,
  queueOverrunLayer: true,
  otherLayer: true,//其他事件
  //感知事件
  trafficJamGzLayer: true,//交通庸俗
  pedestrianCrossingGzLayer: true,//行人
  nonMotorVehicletGzLayer: true,//非机动车
  parkingGzLayer: true,//停车
  trafficRetrogradeLayer: true,//倒车
  fireworksGzLayer: true,//烟火
  throwGzLayer: true,//抛撒物
  slowDownGzLayer: true,//车辆慢行
  speedingGzLayer: true,//超速
  emergencyLanesOccupancyGzLayer: true,//占用应急车道
  abnormalLaneChangeGzLayer: true,//异常变道
  otherGzLayer: true,//其他

  /*深色图层服务地址*/
  BaseMapUrl: "http://10.166.154.217:6080/arcgis/rest/services/BaseService/darkColor/MapServer",
  /*浅色图层服务地址*/
  BaseMapUrl_L: "http://10.166.154.217:6080/arcgis/rest/services/BaseService/lightColor/MapServer",
  /*济青道路中心线*/
  jiqingRoadUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/jq_road/MapServer',
  /*济青高亮线*/
  jiqingHLUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/jq_all/MapServer',
  /*京台高亮线*/
  jingtaiHLUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/jt_road/MapServer',
  /*济青连接线*/
  jiqingMidUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/jq_middle/MapServer',
  /*网联测试基地道路线 */
  testBaseUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/jidi_road/MapServer',

  /* 路侧设备*/
  hmbRadarLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/LD/MapServer", // 雷达
  radioLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/GB/MapServer", // 广播
  barrierCollisionWarningLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/HLPZYJXT/MapServer", // 护栏碰撞预警
  bridgeHealthLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/QLJKJC/MapServer", // 桥梁健康监测
  rsuLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/RSU/MapServer", // RSU
  MECLaryerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/MEC/MapServer", // MEC
  CMLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/JDSB/MapServer", // 交调
  visibilityLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/NJD/MapServer", // 能见度
  meteorologicalLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/QXJCQ/MapServer", // 气象
  mountLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/KKZPXT/MapServer", // 卡口
  lightSignLayerUrl: " http://10.166.154.217:6080/arcgis/rest/services/Device/ZDFGBZ/MapServer", // 发光标志
  rippleLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/WBCJ/MapServer", // 微波检测
  videoLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/camera/MapServer", // 摄像机
  boardLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Device/KBXXBZ/MapServer", // 情报板
  fogGuideLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/JTYDD/MapServer', // 雾区诱导
  radarAndvideoLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/LSYTJ/MapServer', // 雷视一体
  smartBoxLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/ZNPDG/MapServer', // 智能机箱
  parkingSignLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/FWQQCWZSP/MapServer', // 车位指示屏
  baseStationLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/LCTXJZ/MapServer', // 基站
  awakenLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/HXPLSB/MapServer', // 疲劳唤醒
  confluenceLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/HLQYJSB/MapServer', // 合流预警
  removeSnowLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/RBCX/MapServer', // 融冰除雪
  spikeLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/ZHDD/MapServer', // 智慧道钉
  // distanceMarkerLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/DDJLBZ/MapServer', // 距离标志
  sectionRadioLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/LDGBYJ/MapServer', // 路段广播
  beidouLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/BDGJDSKFWXT/MapServer', // 北斗高精度

  // roadstateLayerUrl: "http://10.168.28.37:6080/arcgis/rest/services/yh/roadM/MapServer", // 路面状态
  moveStaticLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Device/DDJLBZ/MapServer', // 一体化动静结合
  // coneBarrelLayerUrl: 'http://10.168.28.37:6080/arcgis/rest/services/yh/MECJQ/MapServer', // 智慧锥桶


  /* 路网设施 */
  serviceLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/FWQ_T/MapServer', // 服务区
  stationLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/SFZ/MapServer', // 收费站
  organizationLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/LGJG/MapServer', // 机构
  interchangeLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/HTLJ/MapServer', // 互通立交
  pivotLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/SNLJ/MapServer',  // 枢纽立交
  bridgeLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/QL/MapServer', // 桥梁
  tunnelLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/SD/MapServer',// 隧道
  pileLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/ZH/MapServer', // 桩号
  roadlineLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/road/MapServer',// 道路线
  shareRoadLayerUrl: 'http://10.166.154.217:6080/arcgis/rest/services/Facility/shareRoad/MapServer', // 共享路段
  administrativeAreaLayerUrl: "http://10.166.154.217:6080/arcgis/rest/services/Facility/District/MapServer", // 行政区划
  engineeringBuildUrl:"http://10.166.154.217:6080/arcgis/rest/services/Facility/GCJS/MapServer" //建设工程
}
export default {
  GlobalConfig
}